Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.streaming
Class IncomingStreamReader

    java.lang.Object
      org.apache.cassandra.streaming.IncomingStreamReader

    public class IncomingStreamReader

extends java.lang.Object

Field Summary
`protected PendingFile` | `localFile`
`protected PendingFile` | `remoteFile`
`protected StreamInSession` | `session`

Constructor Summary
`IncomingStreamReader(StreamHeader header, java.net.Socket socket)`

Method Summary
`void` | `read()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### localFile

    protected final PendingFile localFile

### remoteFile

    protected final PendingFile remoteFile

### session

    protected final StreamInSession session

Constructor Detail

### IncomingStreamReader

    public IncomingStreamReader(StreamHeader header,
                                java.net.Socket socket)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### read

    public void read()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation